Package org.apache.activemq.artemis.spi.core.remoting.ssl

## Class SSLContextConfig

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.remoting.ssl.SSLContextConfig

-     public final class SSLContextConfig
      extends java.lang.Object

  This class holds configuration parameters for SSL context initialization. To be used with `SSLContextFactory` and `OpenSSLContextFactory`.
  Use `builder()` to create new immutable instances.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SSLContextConfig.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SSLContextConfig.Builder` | `builder()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getCrlPath()` |
    `java.lang.String` | `getKeystorePassword()` |
    `java.lang.String` | `getKeystorePath()` |
    `java.lang.String` | `getKeystoreProvider()` |
    `java.lang.String` | `getKeystoreType()` |
    `java.lang.String` | `getTrustManagerFactoryPlugin()` |
    `java.lang.String` | `getTruststorePassword()` |
    `java.lang.String` | `getTruststorePath()` |
    `java.lang.String` | `getTruststoreProvider()` |
    `java.lang.String` | `getTruststoreType()` |
    `int` | `hashCode()` |
    `boolean` | `isTrustAll()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### builder

          public static SSLContextConfig.Builder builder()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getCrlPath

          public java.lang.String getCrlPath()

    - #### getKeystorePassword

          public java.lang.String getKeystorePassword()

    - #### getKeystorePath

          public java.lang.String getKeystorePath()

    - #### getKeystoreType

          public java.lang.String getKeystoreType()

    - #### getKeystoreProvider

          public java.lang.String getKeystoreProvider()

    - #### getTrustManagerFactoryPlugin

          public java.lang.String getTrustManagerFactoryPlugin()

    - #### getTruststorePassword

          public java.lang.String getTruststorePassword()

    - #### getTruststorePath

          public java.lang.String getTruststorePath()

    - #### getTruststoreType

          public java.lang.String getTruststoreType()

    - #### getTruststoreProvider

          public java.lang.String getTruststoreProvider()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isTrustAll

          public boolean isTrustAll()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`